Description

I would like to make adding Tags to objects easier, and have a custom form field that | can use, that autocompletes tags that exist
already, and adds new ones if you add them from that field.

For instance, if I'm tagging a post "oberlin", "blogs" and "apple pie", and "oberlin" and "blogs" exist already, I'd like them to be
autocompleted, and when | enter "apple pie", | want a new tag created with that name.

History

#1 - 08/09/2010 02:54 PM - Stephen Burrows

"Tags that exist already" - any tags, or just tags already used by posts in the blog?

#2 - 08/09/2010 03:36 PM - Kriti Godey

| was thinking any tags.

#3 - 08/10/2010 06:24 AM - Joseph Spiros

Definitely any tags. The built-in Tag model is a simple design and assumes that everyone has access to a shared set of tags. This is precisely why
there is an entry_tags property on Blog objects, so that for display purposes you can show only those tags you've used so far. But, for
backend/editing purposes, it makes no sense to limit the tags you can select to tags you've already selected. Also, that would create a paradox in
which you couldn't tag the first blog entry in a blog, as there would be no entry_tags.

#4 - 11/05/2010 07:37 PM - Stephen Burrows
- Category set to Admin
- Status changed from New to Feedback

- Assignee set to Kriti Godey

| believe this is resolved with commit d8ba4e197¢35a8e30f10112fcf53740e0711dc98, unless an actual field is desired. However, any manytomany
field should be able to use the widget just as easily.

#5 - 01/06/2011 10:07 AM - Joseph Spiros

- Status changed from Feedback to Resolved

This seems resolved to me.
